Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.e4.handlers
Class CheckoutProjectHandler

    java.lang.Object
      org.eclipse.emf.ecp.ui.e4.handlers.CheckoutProjectHandler

    public class CheckoutProjectHandler

extends Object

Handler to check out a `ECPCheckoutSource`.

Author:
  Jonas

Constructor Summary
`CheckoutProjectHandler()`

Method Summary
`boolean` | `canExecute(ECPCheckoutSource checkoutSource)` checks if the current selection is an `ECPCheckoutSource`.
`void` | `execute(org.eclipse.swt.widgets.Shell shell, ECPCheckoutSource checkoutSource)` checks out a `ECPCheckoutSource`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckoutProjectHandler

    public CheckoutProjectHandler()

Method Detail

### execute

    @Execute
    public void execute(org.eclipse.swt.widgets.Shell shell,
                                @Named(value="org.eclipse.ui.selection")@Optional
                                ECPCheckoutSource checkoutSource)

  checks out a `ECPCheckoutSource`.

  Parameters:
    `shell` - shell to display a dialog
    `checkoutSource` - the `ECPCheckoutSource` to be chcked out

### canExecute

    @CanExecute
    public boolean canExecute(@Named(value="org.eclipse.ui.selection")@Optional
                                         ECPCheckoutSource checkoutSource)

  checks if the current selection is an `ECPCheckoutSource`.

  Parameters:
    `checkoutSource` - the current selection, if it is an `ECPCheckoutSource` or null otherwise
  Returns:
    if the current selection is an `ECPCheckoutSource`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.